Cinder endpoints throws error in Keystone V3

Bug #1614104 reported by James Conroy on 2016-08-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-cinderclient
Undecided
James Conroy

Bug Description

The "cinder endpoints" command throws an error when using Keystone V3 API. This is reproducible on both master and stable/mitaka branches.

Output from command:

$ cinder --debug endpoints
DEBUG:keystoneclient.session:REQ: curl -g -i -X GET http://192.168.122.137:5000/v3 -H "Accept: application/json" -H "User-Agent: python-keystoneclient"
DEBUG:keystoneclient.session:RESP: [200] Content-Length: 254 Vary: X-Auth-Token Keep-Alive: timeout=5, max=100 Server: Apache/2.4.7 (Ubuntu) Connection: Keep-Alive Date: Wed, 17 Aug 2016 13:40:29 GMT Content-Type: application/json x-openstack-request-id: req-a5010608-f5ea-471e-b551-ef3edbee2bb6
RESP BODY: {"version": {"status": "stable", "updated": "2016-04-04T00:00:00Z", "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v3+json"}], "id": "v3.6", "links": [{"href": "http://192.168.122.137:5000/v3/", "rel": "self"}]}}

DEBUG:keystoneclient.auth.identity.v3.base:Making authentication request to http://192.168.122.137:5000/v3/auth/tokens
ERROR: 'serviceCatalog'

My env variables:
OS_PROJECT_NAME=admin
OS_PASSWORD=password
OS_USER_DOMAIN_NAME=Default
OS_PROJECT_DOMAIN_NAME=Default
OS_AUTH_URL=http://XXX.XXX.XXX.XXX:5000/v3

James Conroy (jayconroy) on 2016-08-17
Changed in cinder:
assignee: nobody → Jay Conroy (jayconroy)
Steve Martinelli (stevemar) wrote :

what version of cinderclient are you usign?

Steve Martinelli (stevemar) wrote :

As of this morning, the functional tests for ``cinder endpoints`` is passing and using keystone v3: http://logs.openstack.org/78/352778/2/check/gate-cinderclient-dsvm-functional-identity-v3-only-nv/80a6133/testr_results.html.gz

Steve Martinelli (stevemar) wrote :

This seems similar to bug https://bugs.launchpad.net/python-cinderclient/+bug/1608166

Which was fixed here: https://review.openstack.org/#/c/349221/

There was no release between when the bug was introduced and when it was fixed... so i'm wondering what version Jay is using. At the minimum this should be resolved in master.

affects: cinder → python-cinderclient
James Conroy (jayconroy) wrote :
Download full text (7.1 KiB)

Hi Steve,

I am reproducing this on master with V3 cinder-client and on stable/mitaka with V2 cinder-client.

If I apply your above mentioned patch I get the following output on master:

$ cinder --debug endpoints
DEBUG:keystoneclient.session:REQ: curl -g -i -X GET http://192.168.122.137:5000/v3 -H "Accept: application/json" -H "User-Agent: python-keystoneclient"
DEBUG:keystoneclient.session:RESP: [200] Date: Thu, 18 Aug 2016 10:10:26 GMT Server: Apache/2.4.7 (Ubuntu) Vary: X-Auth-Token x-openstack-request-id: req-4a954878-3c0d-4e1f-ab22-ba08752f9f71 Content-Length: 258 Keep-Alive: timeout=5, max=100 Connection: Keep-Alive Content-Type: application/json
RESP BODY: {"version": {"status": "stable", "updated": "2016-10-06T00:00:00Z", "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v3+json"}], "id": "v3.7", "links": [{"href": "http://192.168.122.137/identity/v3/", "rel": "self"}]}}

DEBUG:keystoneclient.auth.identity.v3.base:Making authentication request to http://192.168.122.137/identity/v3/auth/tokens
DEBUG:keystoneclient.auth.identity.v3.base:{"token": {"is_domain": false, "methods": ["password"], "roles": [{"id": "2c45762f84234eeaaf8b961443a1c3d2", "name": "admin"}], "is_admin_project": true, "project": {"domain": {"id": "default", "name": "Default"}, "id": "f48ec87f6d1c40398b663ae1bf41744e", "name": "admin"}, "catalog": [{"endpoints": [{"url": "http://192.168.122.137:8776/v3/f48ec87f6d1c40398b663ae1bf41744e", "interface": "internal", "region": "RegionOne", "region_id": "RegionOne", "id": "1d909faeb3af4ff480c1ea4b153193fe"}, {"url": "http://192.168.122.137:8776/v3/f48ec87f6d1c40398b663ae1bf41744e", "interface": "public", "region": "RegionOne", "region_id": "RegionOne", "id": "3bf22e582d264a61832aab9c9365d6f0"}, {"url": "http://192.168.122.137:8776/v3/f48ec87f6d1c40398b663ae1bf41744e", "interface": "admin", "region": "RegionOne", "region_id": "RegionOne", "id": "f82f81c3028d46f5a38ad07ea485cae5"}], "type": "volumev3", "id": "03ec3e13e73d4a24bce19f3cb7e6ce72", "name": "cinderv3"}, {"endpoints": [{"url": "http://192.168.122.137:8774/v2/f48ec87f6d1c40398b663ae1bf41744e", "interface": "admin", "region": "RegionOne", "region_id": "RegionOne", "id": "55f51a4b971f4df1b5bb15ca94aafe62"}, {"url": "http://192.168.122.137:8774/v2/f48ec87f6d1c40398b663ae1bf41744e", "interface": "public", "region": "RegionOne", "region_id": "RegionOne", "id": "ccd2946b33a2470286b0c6a9034ebf31"}, {"url": "http://192.168.122.137:8774/v2/f48ec87f6d1c40398b663ae1bf41744e", "interface": "internal", "region": "RegionOne", "region_id": "RegionOne", "id": "e9cbffcb5630436c87cc59486f886909"}], "type": "compute_legacy", "id": "10a0e05c6324440795fd82b3e34d4dab", "name": "nova_legacy"}, {"endpoints": [{"url": "http://192.168.122.137:8776/v2/f48ec87f6d1c40398b663ae1bf41744e", "interface": "public", "region": "RegionOne", "region_id": "RegionOne", "id": "2f0881bbeb1147078f9c6f7cc5153a22"}, {"url": "http://192.168.122.137:8776/v2/f48ec87f6d1c40398b663ae1bf41744e", "interface": "internal", "region": "RegionOne", "region_id": "RegionOne", "id": "ecfed0a68fbe452c9c81c975b4ea6091"}, {"url": "http://192.168.122.137:8776/v2/f48ec87f6d1c40398b663ae1bf41...

Read more...

James Conroy (jayconroy) wrote :

Version 1.8.0

James Conroy (jayconroy) wrote :

I can verify that this is not a bug when using master version of python-cinderclient.

James Conroy (jayconroy) wrote :

Marked as invalid as it is not an issue with the newest version of python-cinderclient

Changed in python-cinderclient:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers